Skip to main content

Create AccessKeys

Create the AccessKeys for the specified customer.

Request​

Request-Line​

PUT /sfd/v2.0/accesskeys/{customerId} HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
customerIdIntegerMandatoryCustomer ID.

Response​

Response Body​

ParameterTypeRequiredDescription
customerIdIntegerMandatoryCustomer ID.
accessKeyIdStringMandatoryaccess key id.
accessKeySecretStringMandatoryaccess key secret.

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400Request.BadRequestBad request.
403AccessKey.Create.ForbiddenAccessKey has already been created three times and cannot be created again.

Examples​

Create AccessKeys​

Request​

PUT /sfd/v2.0/accesskeys/125 HTTP/1.1

Successful Response Body​

{"accessKeyId":"62N14vua37W3glR1",
"accessKeySecret":"5Xh9P5Gr72G84d81D4hV5qv95IIx5R47",
"customerId":125
}